# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'paperize/version'

Gem::Specification.new do |spec|
  spec.name          = "paperize"
  spec.version       = Paperize::VERSION
  spec.authors       = ["Loren Norman"]
  spec.email         = ["lorennorman@gmail.com"]
  spec.summary       = %q{From spreadsheets, cards!}
  spec.description   = %q{Allows a user to specify a list of gaming cards in a spreadsheet, then generate a PDF suitable for print-and-play games and prototyping.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "dotenv", "~> 0.9"
  spec.add_dependency "google_drive", "~> 0.3"
  spec.add_dependency "prawn", "~> 0.13"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~> 10.1"
  spec.add_development_dependency "minitest", "~> 5.3"
end
