require_relative 'spec_helper'

describe Paperize::Worksheet do
  it "stores the labels" do
    labels = ["Label 1", "label 2"]
    ws = Paperize::Worksheet.new 'title', labels, []
    ws.labels.must_equal labels
  end  

  it "denies duplicate labels" do
    proc {
      Paperize::Worksheet.new('title', ['a', 'a'], [])  
    }.must_raise Paperize::DuplicateColumnLabelException
  end

  it "generates attributes from labels" do
    labels = ["Casting Cost", "spell name", "oil/rope"]
    ws = Paperize::Worksheet.new('title', labels, [])
    ws.attributes.must_equal [:casting_cost, :spell_name, :oil_rope]
  end

  it "detects and modifies bunk illegal attributes" do
    ws = Paperize::Worksheet.new('title', ['', 'one', nil, '', 'four'], [[0, 1, 2, 3, 4]])
    ws.cards.first.one.must_equal 1
    ws.cards.first.four.must_equal 4
  end
end
